// Include Guard.
#if !defined(SETTINGS_GLSL)
#define SETTINGS_GLSL


//#define LIGHT_ONLY // Show only light no textures
//#define DEBUG_LIGHTING // Use distinct colors for seperate light sources
/*
const int colortex0Format = RGBA16F;
*/

#define HELD_ITEM_LIGHT // Certain held items (such as torches and lanterns) can cast light around you
#define GAMMA 2.2 // [2.2] Gamma

#define SUNLIGHT_R 1 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Sunlight red value
#define SUNLIGHT_G 0.6 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Sunlight green value
#define SUNLIGHT_B 0.5 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Sunlight blue value

#define MOONLIGHT_R 0.8 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Moonlight red value
#define MOONLIGHT_G 0.7 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Moonlight green value
#define MOONLIGHT_B 1 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Moonlight blue value

#define BLOCKLIGHT_R 1 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Blocklight red value
#define BLOCKLIGHT_G 0.3 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Blocklight green value
#define BLOCKLIGHT_B 0.2 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Blocklight blue value

#define AMBIENTLIGHT_R 0.7 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Ambient light red value
#define AMBIENTLIGHT_G 0.7 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Ambient light green value
#define AMBIENTLIGHT_B 1 // [0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1] Ambient light blue value

#ifdef DEBUG_LIGHTING
const vec3 blockLightColor = vec3(1, 1, 1);
const vec3 ambientColor = vec3(0, 0, 1);
const vec3 sunColor = vec3(1, 0, 0);
const vec3 moonColor = vec3(0, 1, 0);
#else
const vec3 blockLightColor = vec3(BLOCKLIGHT_R, BLOCKLIGHT_G, BLOCKLIGHT_B);
const vec3 ambientColor = vec3(AMBIENTLIGHT_R, AMBIENTLIGHT_G, AMBIENTLIGHT_B);
const vec3 sunColor = vec3(SUNLIGHT_R, SUNLIGHT_G, SUNLIGHT_B);
const vec3 moonColor = vec3(MOONLIGHT_R, MOONLIGHT_G, MOONLIGHT_B);
#endif


#endif
